<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.dist.KiwiInstallLib&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.d.KiwiInstallLib(<span title="distutils.command.install_lib.install_lib">install_lib</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.dist.html">dist</a></span>
      
      <a href="classIndex.html#kiwi.dist.KiwiInstallLib">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div class="undocumented">Undocumented</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id371">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.dist.KiwiInstallLib.html#_get_template">_get_template</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.dist.KiwiInstallLib.html#generate_template">generate_template</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.dist.KiwiInstallLib.html#_write_dictionary">_write_dictionary</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.dist.KiwiInstallLib.html#get_outputs">get_outputs</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.dist.KiwiInstallLib.html#install">install</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.dist.KiwiInstallLib._get_template"></a>
        <a name="_get_template"></a>
        <div class="functionHeader">
        
        def _get_template(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.KiwiInstallLib.generate_template"></a>
        <a name="generate_template"></a>
        <div class="functionHeader">
        
        def generate_template(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.KiwiInstallLib._write_dictionary"></a>
        <a name="_write_dictionary"></a>
        <div class="functionHeader">
        
        def _write_dictionary(self, fp, name, dictionary):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.KiwiInstallLib.get_outputs"></a>
        <a name="get_outputs"></a>
        <div class="functionHeader">
        
        def get_outputs(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.dist.KiwiInstallLib.install"></a>
        <a name="install"></a>
        <div class="functionHeader">
        
        def install(self):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>